#pragma once

#include <map>
#include <vector>
#include "playlist.h"

class PlaylistManager {
private:
	std::map<String, String> _map;
	std::map<String, Playlist*> _playlists;
	std::vector<String> _unmapped_folders;
	void _check_for_special_chars(String s);
	void _save_mapping();
public:
	PlaylistManager();
	Playlist* get_playlist_for_id(String id);
	Playlist* get_playlist_for_folder(String folder);
	void dump_ids();
	void scan_files();
	String json();
	bool add_mapping(String id, String folder);
};
